/*
 * Copyright (c) 2011, ScalaFX Project
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *     * Redistributions of source code must retain the above copyright
 *       notice, this list of conditions and the following disclaimer.
 *     * Redistributions in binary form must reproduce the above copyright
 *       notice, this list of conditions and the following disclaimer in the
 *       documentation and/or other materials provided with the distribution.
 *     * Neither the name of the ScalaFX Project nor the
 *       names of its contributors may be used to endorse or promote products
 *       derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE SCALAFX PROJECT OR ITS CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
 * AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
package scalafx.scene.layout

import javafx.scene.{layout => jfxsl}

object LayoutIncludes extends LayoutIncludes

trait LayoutIncludes {
  implicit def jfxAnchorPane2sfx(a: jfxsl.AnchorPane) = new AnchorPane(a)
  implicit def jfxBorderPane2sfx(v: jfxsl.BorderPane) = new BorderPane(v)
  implicit def jfxColumnConstraints2sfx(v: jfxsl.ColumnConstraints) = new ColumnConstraints(v)
  implicit def jfxConstraintsBase2sfx(v: jfxsl.ConstraintsBase) = new ConstraintsBase(v) {}
  implicit def jfxFlowPane2sfx(v: jfxsl.FlowPane) = new FlowPane(v)
  implicit def jfxGridPane2sfx(v: jfxsl.GridPane) = new GridPane(v)
  implicit def jfxHBox2sfx(v: jfxsl.HBox) = new HBox(v)
  implicit def jfxPane2sfx(v: jfxsl.Pane) = new Pane(v)
  implicit def jfxPriority2sfx(e: jfxsl.Priority) = Priority.jfxEnum2sfx(e)
  implicit def jfxRegion2sfx(v: jfxsl.Region) = new Region(v)
  implicit def jfxRowConstraints2sfx(v: jfxsl.RowConstraints) = new RowConstraints(v)
  implicit def jfxStackPane2sfx(v: jfxsl.StackPane) = new StackPane(v)
  implicit def jfxTilePane2sfx(v: jfxsl.TilePane) = new TilePane(v)
  implicit def jfxVBox2sfx(v: jfxsl.VBox) = new VBox(v)
}
